% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/espn_mbb_data.R
\name{espn_mbb_teams}
\alias{espn_mbb_teams}
\title{\strong{Get ESPN men's college basketball team names and IDs}}
\usage{
espn_mbb_teams(year = most_recent_mbb_season())
}
\arguments{
\item{year}{Either numeric or character (YYYY)}
}
\value{
A teams data frame\tabular{ll}{
   col_name \tab types \cr
   team_id \tab integer \cr
   abbreviation \tab character \cr
   display_name \tab character \cr
   short_name \tab character \cr
   mascot \tab character \cr
   nickname \tab character \cr
   team \tab character \cr
   color \tab character \cr
   alternate_color \tab character \cr
   logo \tab character \cr
   logo_dark \tab character \cr
   href \tab character \cr
   conference_url \tab character \cr
   group_id \tab integer \cr
   conference_short_name \tab character \cr
   conference_uid \tab character \cr
   conference_name \tab character \cr
   conference_logo \tab character \cr
   parent_group_id \tab integer \cr
   conference_id \tab integer \cr
}
}
\description{
\strong{Get ESPN men's college basketball team names and IDs}
}
\examples{
\donttest{
  try(espn_mbb_teams())
}
}
\seealso{
Other ESPN MBB Functions: 
\code{\link{espn_mbb_betting}()},
\code{\link{espn_mbb_conferences}()},
\code{\link{espn_mbb_game_all}()},
\code{\link{espn_mbb_game_rosters}()},
\code{\link{espn_mbb_pbp}()},
\code{\link{espn_mbb_player_box}()},
\code{\link{espn_mbb_player_stats}()},
\code{\link{espn_mbb_rankings}()},
\code{\link{espn_mbb_scoreboard}()},
\code{\link{espn_mbb_standings}()},
\code{\link{espn_mbb_team_box}()},
\code{\link{espn_mbb_team_stats}()},
\code{\link{espn_mbb_wp}()}
}
\author{
Saiem Gilani
}
\concept{ESPN MBB Functions}
\keyword{MBB}
\keyword{Teams}
