% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kp_historical_tables.R
\name{kp_coach_history}
\alias{kp_coach_history}
\title{\strong{Get KenPom's coaching resume data}}
\usage{
kp_coach_history(coach)
}
\arguments{
\item{coach}{Coach filter to select.}
}
\value{
A data frame with 30 columns:\tabular{ll}{
   col_name \tab types \cr
   year \tab numeric \cr
   team_rk \tab numeric \cr
   team \tab character \cr
   coach \tab character \cr
   conf \tab character \cr
   adj_t \tab character \cr
   adj_o \tab character \cr
   adj_d \tab character \cr
   off_e_fg_pct \tab character \cr
   off_to_pct \tab character \cr
   off_or_pct \tab character \cr
   off_ft_rate \tab character \cr
   off_fg_2_pct \tab character \cr
   off_fg_3_pct \tab character \cr
   off_ft_pct \tab character \cr
   off_fg_3a_pct \tab character \cr
   off_a_pct \tab character \cr
   off_apl \tab character \cr
   def_e_fg_pct \tab character \cr
   def_to_pct \tab character \cr
   def_or_pct \tab character \cr
   def_ft_rate \tab character \cr
   def_fg_2_pct \tab character \cr
   def_fg_3_pct \tab character \cr
   def_blk_pct \tab character \cr
   def_fg_3a_pct \tab character \cr
   def_a_pct \tab character \cr
   def_apl \tab character \cr
   foul2partic_pct \tab character \cr
   wl \tab character \cr
   wl_conf \tab character \cr
   adj_t_rk \tab numeric \cr
   adj_o_rk \tab numeric \cr
   adj_d_rk \tab numeric \cr
   off_e_fg_pct_rk \tab numeric \cr
   off_to_pct_rk \tab numeric \cr
   off_or_pct_rk \tab numeric \cr
   off_ft_rate_rk \tab numeric \cr
   off_fg_2_pct_rk \tab numeric \cr
   off_fg_3_pct_rk \tab numeric \cr
   off_ft_pct_rk \tab numeric \cr
   off_fg_3a_pct_rk \tab numeric \cr
   off_a_pct_rk \tab numeric \cr
   off_apl_rk \tab numeric \cr
   def_e_fg_pct_rk \tab numeric \cr
   def_to_pct_rk \tab numeric \cr
   def_or_pct_rk \tab numeric \cr
   def_ft_rate_rk \tab numeric \cr
   def_fg_2_pct_rk \tab numeric \cr
   def_fg_3_pct_rk \tab numeric \cr
   def_blk_pct_rk \tab numeric \cr
   def_fg_3a_pct_rk \tab numeric \cr
   def_a_pct_rk \tab numeric \cr
   def_apl_rk \tab numeric \cr
   foul2partic_pct_rk \tab numeric \cr
   team_finish \tab character \cr
   ncaa_seed \tab numeric \cr
}
}
\description{
\strong{Get KenPom's coaching resume data}
}
\examples{
  \donttest{
   try(kp_coach_history(coach = 'Leonard Hamilton'))
  }


}
\seealso{
Other KenPom Historical Functions: 
\code{\link{kp_confhistory}()},
\code{\link{kp_confstats}()},
\code{\link{kp_conf}()},
\code{\link{kp_pomeroy_archive_ratings}()},
\code{\link{kp_program_ratings}()},
\code{\link{kp_team_history}()}
}
\concept{KenPom Historical Functions}
\keyword{Coach}
\keyword{History}
