% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kp_historical_tables.R
\name{kp_confstats}
\alias{kp_confstats}
\title{\strong{Get KenPom's conference comparison stats}}
\usage{
kp_confstats(year = most_recent_mbb_season())
}
\arguments{
\item{year}{Year (YYYY)}
}
\value{
A data frame with the following columns:\tabular{ll}{
   col_name \tab types \cr
   conf \tab character \cr
   eff \tab numeric \cr
   eff_rk \tab numeric \cr
   tempo \tab numeric \cr
   tempo_rk \tab numeric \cr
   e_fg_pct \tab numeric \cr
   e_fg_pct_rk \tab numeric \cr
   to_pct \tab numeric \cr
   to_pct_rk \tab numeric \cr
   or_pct \tab numeric \cr
   or_pct_rk \tab numeric \cr
   ft_rate \tab numeric \cr
   ft_rate_rk \tab numeric \cr
   blk_pct \tab numeric \cr
   blk_pct_rk \tab numeric \cr
   stl_pct \tab numeric \cr
   stl_pct_rk \tab numeric \cr
   fg_2_pct \tab numeric \cr
   fg_2_pct_rk \tab numeric \cr
   fg_3_pct \tab numeric \cr
   fg_3_pct_rk \tab numeric \cr
   ft_pct \tab numeric \cr
   ft_pct_rk \tab numeric \cr
   fg_3a_pct \tab numeric \cr
   fg_3a_pct_rk \tab numeric \cr
   a_pct \tab numeric \cr
   a_pct_rk \tab numeric \cr
   home_w_l \tab character \cr
   home_w_l_pct \tab numeric \cr
   home_w_l_rk \tab numeric \cr
   close \tab numeric \cr
   close_rk \tab numeric \cr
   blowouts \tab numeric \cr
   blowouts_rk \tab numeric \cr
   year \tab numeric \cr
}
}
\description{
\strong{Get KenPom's conference comparison stats}
}
\examples{
\donttest{
  try(kp_confstats(year=most_recent_mbb_season()))
}
}
\seealso{
Other KenPom Historical Functions: 
\code{\link{kp_coach_history}()},
\code{\link{kp_confhistory}()},
\code{\link{kp_conf}()},
\code{\link{kp_pomeroy_archive_ratings}()},
\code{\link{kp_program_ratings}()},
\code{\link{kp_team_history}()}
}
\concept{KenPom Historical Functions}
\keyword{Comparison}
\keyword{Conference}
