% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nba_stats_boxscore_v3.R
\name{nba_boxscoreadvancedv3}
\alias{nba_boxscoreadvancedv3}
\title{\strong{Get NBA Stats API Boxscore Advanced V3}}
\usage{
nba_boxscoreadvancedv3(
  game_id = "0022200021",
  start_period = 0,
  end_period = 14,
  start_range = 0,
  end_range = 0,
  range_type = 0,
  ...
)
}
\arguments{
\item{game_id}{Game ID}

\item{start_period}{start_period}

\item{end_period}{end_period}

\item{start_range}{start_range}

\item{end_range}{end_range}

\item{range_type}{range_type}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
A list of data frames: home_team_player_advanced, away_team_player_advanced,
home_team_totals_advanced, away_team_totals_advanced

\strong{home_team_player_advanced}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   minutes \tab character \cr
   estimated_offensive_rating \tab numeric \cr
   offensive_rating \tab numeric \cr
   estimated_defensive_rating \tab numeric \cr
   defensive_rating \tab numeric \cr
   estimated_net_rating \tab numeric \cr
   net_rating \tab numeric \cr
   assist_percentage \tab numeric \cr
   assist_to_turnover \tab numeric \cr
   assist_ratio \tab numeric \cr
   offensive_rebound_percentage \tab numeric \cr
   defensive_rebound_percentage \tab numeric \cr
   rebound_percentage \tab numeric \cr
   turnover_ratio \tab numeric \cr
   effective_field_goal_percentage \tab numeric \cr
   true_shooting_percentage \tab numeric \cr
   usage_percentage \tab numeric \cr
   estimated_usage_percentage \tab numeric \cr
   estimated_pace \tab numeric \cr
   pace \tab numeric \cr
   pace_per40 \tab numeric \cr
   possessions \tab numeric \cr
   pie \tab numeric \cr
}


\strong{away_team_player_advanced}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   minutes \tab character \cr
   estimated_offensive_rating \tab numeric \cr
   offensive_rating \tab numeric \cr
   estimated_defensive_rating \tab numeric \cr
   defensive_rating \tab numeric \cr
   estimated_net_rating \tab numeric \cr
   net_rating \tab numeric \cr
   assist_percentage \tab numeric \cr
   assist_to_turnover \tab numeric \cr
   assist_ratio \tab numeric \cr
   offensive_rebound_percentage \tab numeric \cr
   defensive_rebound_percentage \tab numeric \cr
   rebound_percentage \tab numeric \cr
   turnover_ratio \tab numeric \cr
   effective_field_goal_percentage \tab numeric \cr
   true_shooting_percentage \tab numeric \cr
   usage_percentage \tab numeric \cr
   estimated_usage_percentage \tab numeric \cr
   estimated_pace \tab numeric \cr
   pace \tab numeric \cr
   pace_per40 \tab numeric \cr
   possessions \tab numeric \cr
   pie \tab numeric \cr
}


\strong{home_team_totals_advanced}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   minutes \tab character \cr
   estimated_offensive_rating \tab numeric \cr
   offensive_rating \tab numeric \cr
   estimated_defensive_rating \tab numeric \cr
   defensive_rating \tab numeric \cr
   estimated_net_rating \tab numeric \cr
   net_rating \tab numeric \cr
   assist_percentage \tab numeric \cr
   assist_to_turnover \tab numeric \cr
   assist_ratio \tab numeric \cr
   offensive_rebound_percentage \tab numeric \cr
   defensive_rebound_percentage \tab numeric \cr
   rebound_percentage \tab numeric \cr
   estimated_team_turnover_percentage \tab numeric \cr
   turnover_ratio \tab numeric \cr
   effective_field_goal_percentage \tab numeric \cr
   true_shooting_percentage \tab numeric \cr
   usage_percentage \tab numeric \cr
   estimated_usage_percentage \tab numeric \cr
   estimated_pace \tab numeric \cr
   pace \tab numeric \cr
   pace_per40 \tab numeric \cr
   possessions \tab numeric \cr
   pie \tab numeric \cr
}


\strong{away_team_totals_advanced}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   minutes \tab character \cr
   estimated_offensive_rating \tab numeric \cr
   offensive_rating \tab numeric \cr
   estimated_defensive_rating \tab numeric \cr
   defensive_rating \tab numeric \cr
   estimated_net_rating \tab numeric \cr
   net_rating \tab numeric \cr
   assist_percentage \tab numeric \cr
   assist_to_turnover \tab numeric \cr
   assist_ratio \tab numeric \cr
   offensive_rebound_percentage \tab numeric \cr
   defensive_rebound_percentage \tab numeric \cr
   rebound_percentage \tab numeric \cr
   estimated_team_turnover_percentage \tab numeric \cr
   turnover_ratio \tab numeric \cr
   effective_field_goal_percentage \tab numeric \cr
   true_shooting_percentage \tab numeric \cr
   usage_percentage \tab numeric \cr
   estimated_usage_percentage \tab numeric \cr
   estimated_pace \tab numeric \cr
   pace \tab numeric \cr
   pace_per40 \tab numeric \cr
   possessions \tab numeric \cr
   pie \tab numeric \cr
}
}
\description{
\strong{Get NBA Stats API Boxscore Advanced V3}

\strong{Get NBA Stats API Boxscore Advanced V3}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{ nba_boxscoreadvancedv3(game_id = "0022200021")
}\if{html}{\out{</div>}}
}
\seealso{
Other NBA Boxscore V3 Functions: 
\code{\link{nba_boxscoredefensivev2}()},
\code{\link{nba_boxscorefourfactorsv3}()},
\code{\link{nba_boxscorehustlev2}()},
\code{\link{nba_boxscorematchupsv3}()},
\code{\link{nba_boxscoremiscv3}()},
\code{\link{nba_boxscoreplayertrackv3}()},
\code{\link{nba_boxscorescoringv3}()},
\code{\link{nba_boxscoretraditionalv3}()},
\code{\link{nba_boxscoreusagev3}()}
}
\author{
Saiem Gilani
}
\concept{NBA Boxscore V3 Functions}
