% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nba_stats_boxscore_v3.R
\name{nba_boxscorematchupsv3}
\alias{nba_boxscorematchupsv3}
\title{\strong{Get NBA Stats API Boxscore Matchups V3}}
\usage{
nba_boxscorematchupsv3(
  game_id = "0022200021",
  start_period = 0,
  end_period = 14,
  start_range = 0,
  end_range = 0,
  range_type = 0,
  ...
)
}
\arguments{
\item{game_id}{Game ID}

\item{start_period}{start_period}

\item{end_period}{end_period}

\item{start_range}{start_range}

\item{end_range}{end_range}

\item{range_type}{range_type}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
A list of data frames: home_team_player_matchups, away_team_player_matchups

\strong{home_team_player_matchups}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   matchups_person_id \tab integer \cr
   matchups_first_name \tab character \cr
   matchups_family_name \tab character \cr
   matchups_name_i \tab character \cr
   matchups_player_slug \tab character \cr
   matchups_jersey_num \tab character \cr
   matchup_minutes \tab character \cr
   matchup_minutes_sort \tab numeric \cr
   partial_possessions \tab numeric \cr
   percentage_defender_total_time \tab numeric \cr
   percentage_offensive_total_time \tab numeric \cr
   percentage_total_time_both_on \tab numeric \cr
   switches_on \tab integer \cr
   player_points \tab integer \cr
   team_points \tab integer \cr
   matchup_assists \tab integer \cr
   matchup_potential_assists \tab integer \cr
   matchup_turnovers \tab integer \cr
   matchup_blocks \tab integer \cr
   matchup_field_goals_made \tab integer \cr
   matchup_field_goals_attempted \tab integer \cr
   matchup_field_goals_percentage \tab numeric \cr
   matchup_three_pointers_made \tab integer \cr
   matchup_three_pointers_attempted \tab integer \cr
   matchup_three_pointers_percentage \tab numeric \cr
   help_blocks \tab integer \cr
   help_field_goals_made \tab integer \cr
   help_field_goals_attempted \tab integer \cr
   help_field_goals_percentage \tab numeric \cr
   matchup_free_throws_made \tab integer \cr
   matchup_free_throws_attempted \tab integer \cr
   shooting_fouls \tab integer \cr
}


\strong{away_team_player_matchups}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   matchups_person_id \tab integer \cr
   matchups_first_name \tab character \cr
   matchups_family_name \tab character \cr
   matchups_name_i \tab character \cr
   matchups_player_slug \tab character \cr
   matchups_jersey_num \tab character \cr
   matchup_minutes \tab character \cr
   matchup_minutes_sort \tab numeric \cr
   partial_possessions \tab numeric \cr
   percentage_defender_total_time \tab numeric \cr
   percentage_offensive_total_time \tab numeric \cr
   percentage_total_time_both_on \tab numeric \cr
   switches_on \tab integer \cr
   player_points \tab integer \cr
   team_points \tab integer \cr
   matchup_assists \tab integer \cr
   matchup_potential_assists \tab integer \cr
   matchup_turnovers \tab integer \cr
   matchup_blocks \tab integer \cr
   matchup_field_goals_made \tab integer \cr
   matchup_field_goals_attempted \tab integer \cr
   matchup_field_goals_percentage \tab numeric \cr
   matchup_three_pointers_made \tab integer \cr
   matchup_three_pointers_attempted \tab integer \cr
   matchup_three_pointers_percentage \tab numeric \cr
   help_blocks \tab integer \cr
   help_field_goals_made \tab integer \cr
   help_field_goals_attempted \tab integer \cr
   help_field_goals_percentage \tab numeric \cr
   matchup_free_throws_made \tab integer \cr
   matchup_free_throws_attempted \tab integer \cr
   shooting_fouls \tab integer \cr
}
}
\description{
\strong{Get NBA Stats API Boxscore Matchups V3}

\strong{Get NBA Stats API Boxscore Matchups V3}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{ nba_boxscorematchupsv3(game_id = "0022200021")
}\if{html}{\out{</div>}}
}
\seealso{
Other NBA Boxscore V3 Functions: 
\code{\link{nba_boxscoreadvancedv3}()},
\code{\link{nba_boxscoredefensivev2}()},
\code{\link{nba_boxscorefourfactorsv3}()},
\code{\link{nba_boxscorehustlev2}()},
\code{\link{nba_boxscoremiscv3}()},
\code{\link{nba_boxscoreplayertrackv3}()},
\code{\link{nba_boxscorescoringv3}()},
\code{\link{nba_boxscoretraditionalv3}()},
\code{\link{nba_boxscoreusagev3}()}
}
\author{
Saiem Gilani
}
\concept{NBA Boxscore V3 Functions}
