% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nba_stats_boxscore_v3.R
\name{nba_boxscoremiscv3}
\alias{nba_boxscoremiscv3}
\title{\strong{Get NBA Stats API Boxscore Misc V3}}
\usage{
nba_boxscoremiscv3(
  game_id = "0022200021",
  start_period = 0,
  end_period = 14,
  start_range = 0,
  end_range = 0,
  range_type = 0,
  ...
)
}
\arguments{
\item{game_id}{Game ID}

\item{start_period}{start_period}

\item{end_period}{end_period}

\item{start_range}{start_range}

\item{end_range}{end_range}

\item{range_type}{range_type}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
A list of data frames:  home_team_player_misc, away_team_player_misc,
home_team_totals_misc, away_team_totals_misc

\strong{home_team_player_misc}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   minutes \tab character \cr
   points_off_turnovers \tab integer \cr
   points_second_chance \tab integer \cr
   points_fast_break \tab integer \cr
   points_paint \tab integer \cr
   opp_points_off_turnovers \tab integer \cr
   opp_points_second_chance \tab integer \cr
   opp_points_fast_break \tab integer \cr
   opp_points_paint \tab integer \cr
   blocks \tab integer \cr
   blocks_against \tab integer \cr
   fouls_personal \tab integer \cr
   fouls_drawn \tab integer \cr
}


\strong{away_team_player_misc}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   person_id \tab integer \cr
   first_name \tab character \cr
   family_name \tab character \cr
   name_i \tab character \cr
   player_slug \tab character \cr
   position \tab character \cr
   comment \tab character \cr
   jersey_num \tab character \cr
   minutes \tab character \cr
   points_off_turnovers \tab integer \cr
   points_second_chance \tab integer \cr
   points_fast_break \tab integer \cr
   points_paint \tab integer \cr
   opp_points_off_turnovers \tab integer \cr
   opp_points_second_chance \tab integer \cr
   opp_points_fast_break \tab integer \cr
   opp_points_paint \tab integer \cr
   blocks \tab integer \cr
   blocks_against \tab integer \cr
   fouls_personal \tab integer \cr
   fouls_drawn \tab integer \cr
}


\strong{home_team_totals_misc}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   minutes \tab character \cr
   points_off_turnovers \tab integer \cr
   points_second_chance \tab integer \cr
   points_fast_break \tab integer \cr
   points_paint \tab integer \cr
   opp_points_off_turnovers \tab integer \cr
   opp_points_second_chance \tab integer \cr
   opp_points_fast_break \tab integer \cr
   opp_points_paint \tab integer \cr
   blocks \tab integer \cr
   blocks_against \tab integer \cr
   fouls_personal \tab integer \cr
   fouls_drawn \tab integer \cr
}


\strong{away_team_totals_misc}\tabular{ll}{
   col_name \tab types \cr
   game_id \tab character \cr
   away_team_id \tab integer \cr
   home_team_id \tab integer \cr
   team_id \tab integer \cr
   team_name \tab character \cr
   team_city \tab character \cr
   team_tricode \tab character \cr
   team_slug \tab character \cr
   minutes \tab character \cr
   points_off_turnovers \tab integer \cr
   points_second_chance \tab integer \cr
   points_fast_break \tab integer \cr
   points_paint \tab integer \cr
   opp_points_off_turnovers \tab integer \cr
   opp_points_second_chance \tab integer \cr
   opp_points_fast_break \tab integer \cr
   opp_points_paint \tab integer \cr
   blocks \tab integer \cr
   blocks_against \tab integer \cr
   fouls_personal \tab integer \cr
   fouls_drawn \tab integer \cr
}
}
\description{
\strong{Get NBA Stats API Boxscore Misc V3}

\strong{Get NBA Stats API Boxscore Misc V3}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{ nba_boxscoremiscv3(game_id = "0022200021")
}\if{html}{\out{</div>}}
}
\seealso{
Other NBA Boxscore V3 Functions: 
\code{\link{nba_boxscoreadvancedv3}()},
\code{\link{nba_boxscoredefensivev2}()},
\code{\link{nba_boxscorefourfactorsv3}()},
\code{\link{nba_boxscorehustlev2}()},
\code{\link{nba_boxscorematchupsv3}()},
\code{\link{nba_boxscoreplayertrackv3}()},
\code{\link{nba_boxscorescoringv3}()},
\code{\link{nba_boxscoretraditionalv3}()},
\code{\link{nba_boxscoreusagev3}()}
}
\author{
Saiem Gilani
}
\concept{NBA Boxscore V3 Functions}
