% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nba_stats_boxscore.R
\name{nba_boxscoresimilarityscore}
\alias{nba_boxscoresimilarityscore}
\title{\strong{Get NBA Stats API Boxscore Similarity Score}}
\usage{
nba_boxscoresimilarityscore(
  person_1_id = "202691",
  person_1_league_id = "00",
  person_1_season = most_recent_nba_season() - 3,
  person_1_season_type = "Regular Season",
  person_2_id = "1626164",
  person_2_league_id = "00",
  person_2_season = most_recent_nba_season() - 3,
  person_2_season_type = "Regular Season",
  ...
)
}
\arguments{
\item{person_1_id}{person_1_id}

\item{person_1_league_id}{person_1_league_id}

\item{person_1_season}{person_1_season}

\item{person_1_season_type}{person_1_season_type}

\item{person_2_id}{person_2_id}

\item{person_2_league_id}{person_2_league_id}

\item{person_2_season}{person_2_season}

\item{person_2_season_type}{person_2_season_type}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Returns a named list of data frames: BoxScoreSimilarityScores
}
\description{
\strong{Get NBA Stats API Boxscore Similarity Score}

\strong{Get NBA Stats API Boxscore Similarity Score}
}
\details{
(Possibly Deprecated)

\if{html}{\out{<div class="sourceCode r">}}\preformatted{z <- nba_commonallplayers()$CommonAllPlayers
klay <- z \%>\% dplyr::filter(DISPLAY_FIRST_LAST == 'Klay Thompson')
book <- z \%>\% dplyr::filter(DISPLAY_FIRST_LAST == 'Devin Booker')
nba_boxscoresimilarityscore(person_1_id = klay$PERSON_ID,
  person_1_league_id = '00',
  person_1_season = year_to_season(most_recent_nba_season() - 1),
  person_1_season_type = 'Regular Season',
  person_2_id = book$PERSON_ID,
  person_2_league_id = '00',
  person_2_season = year_to_season(most_recent_nba_season() - 1),
  person_2_season_type = 'Regular Season'
)
}\if{html}{\out{</div>}}
}
\seealso{
Other NBA Boxscore Similarity Functions: 
\code{\link{nba_glalumboxscoresimilarityscore}()}
}
\author{
Saiem Gilani
}
\concept{NBA Boxscore Similarity Functions}
