% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nba_stats_franchise.R
\name{nba_franchisehistory}
\alias{nba_franchisehistory}
\title{\strong{Get NBA Stats API Franchise History}}
\usage{
nba_franchisehistory(league_id = "00", ...)
}
\arguments{
\item{league_id}{league_id}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Returns a named list of data frames: DefunctTeams, FranchiseHistory

\strong{FranchiseHistory}\tabular{ll}{
   col_name \tab types \cr
   LEAGUE_ID \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_CITY \tab character \cr
   TEAM_NAME \tab character \cr
   START_YEAR \tab character \cr
   END_YEAR \tab character \cr
   YEARS \tab character \cr
   GAMES \tab character \cr
   WINS \tab character \cr
   LOSSES \tab character \cr
   WIN_PCT \tab character \cr
   PO_APPEARANCES \tab character \cr
   DIV_TITLES \tab character \cr
   CONF_TITLES \tab character \cr
   LEAGUE_TITLES \tab character \cr
}


\strong{DefunctTeams}\tabular{ll}{
   col_name \tab types \cr
   LEAGUE_ID \tab character \cr
   TEAM_ID \tab character \cr
   TEAM_CITY \tab character \cr
   TEAM_NAME \tab character \cr
   START_YEAR \tab character \cr
   END_YEAR \tab character \cr
   YEARS \tab character \cr
   GAMES \tab character \cr
   WINS \tab character \cr
   LOSSES \tab character \cr
   WIN_PCT \tab character \cr
   PO_APPEARANCES \tab character \cr
   DIV_TITLES \tab character \cr
   CONF_TITLES \tab character \cr
   LEAGUE_TITLES \tab character \cr
}
}
\description{
\strong{Get NBA Stats API Franchise History}

\strong{Get NBA Stats API Franchise History}
}
\details{
\href{https://www.nba.com/stats/history}{Franchise History}

\if{html}{\out{<div class="sourceCode r">}}\preformatted{ nba_franchisehistory(league_id = '00')
 nba_franchisehistory(league_id = '01')
 nba_franchisehistory(league_id = '10')
 nba_franchisehistory(league_id = '20')
}\if{html}{\out{</div>}}
}
\seealso{
Other NBA Franchise Functions: 
\code{\link{nba_franchiseleaderswrank}()},
\code{\link{nba_franchiseleaders}()},
\code{\link{nba_franchiseplayers}()}
}
\author{
Saiem Gilani
}
\concept{NBA Franchise Functions}
