% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nba_stats_player_dash.R
\name{nba_playerdashboardbyshootingsplits}
\alias{nba_playerdashboardbyshootingsplits}
\title{\strong{Get NBA Stats API Player Dashboard by Shooting Splits}}
\usage{
nba_playerdashboardbyshootingsplits(
  date_from = "",
  date_to = "",
  game_segment = "",
  last_n_games = 0,
  league_id = "00",
  location = "",
  measure_type = "Base",
  month = 0,
  opponent_team_id = 0,
  outcome = "",
  po_round = "",
  pace_adjust = "N",
  per_mode = "Totals",
  period = 0,
  player_id = "2544",
  plus_minus = "N",
  rank = "N",
  season = year_to_season(most_recent_nba_season() - 1),
  season_segment = "",
  season_type = "Regular Season",
  shot_clock_range = "",
  vs_conference = "",
  vs_division = "",
  ...
)
}
\arguments{
\item{date_from}{date_from}

\item{date_to}{date_to}

\item{game_segment}{game_segment}

\item{last_n_games}{last_n_games}

\item{league_id}{league_id}

\item{location}{location}

\item{measure_type}{measure_type}

\item{month}{month}

\item{opponent_team_id}{opponent_team_id}

\item{outcome}{outcome}

\item{po_round}{po_round}

\item{pace_adjust}{pace_adjust}

\item{per_mode}{per_mode}

\item{period}{period}

\item{player_id}{player_id}

\item{plus_minus}{plus_minus}

\item{rank}{rank}

\item{season}{season}

\item{season_segment}{season_segment}

\item{season_type}{season_type}

\item{shot_clock_range}{shot_clock_range}

\item{vs_conference}{vs_conference}

\item{vs_division}{vs_division}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Return a named list of data frames: AssistedBy, AssitedShotPlayerDashboard,
OverallPlayerDashboard, Shot5FTPlayerDashboard, Shot8FTPlayerDashboard,
ShotAreaPlayerDashboard, ShotTypePlayerDashboard, ShotTypeSummaryPlayerDashboard

\strong{OverallPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{Shot5FTPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{Shot8FTPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{ShotAreaPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{AssitedShotPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{ShotTypeSummaryPlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
}


\strong{ShotTypePlayerDashboard}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   GROUP_VALUE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}


\strong{AssistedBy}\tabular{ll}{
   col_name \tab types \cr
   GROUP_SET \tab character \cr
   PLAYER_ID \tab character \cr
   PLAYER_NAME \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   EFG_PCT \tab character \cr
   BLKA \tab character \cr
   PCT_AST_2PM \tab character \cr
   PCT_UAST_2PM \tab character \cr
   PCT_AST_3PM \tab character \cr
   PCT_UAST_3PM \tab character \cr
   PCT_AST_FGM \tab character \cr
   PCT_UAST_FGM \tab character \cr
   FGM_RANK \tab character \cr
   FGA_RANK \tab character \cr
   FG_PCT_RANK \tab character \cr
   FG3M_RANK \tab character \cr
   FG3A_RANK \tab character \cr
   FG3_PCT_RANK \tab character \cr
   EFG_PCT_RANK \tab character \cr
   BLKA_RANK \tab character \cr
   PCT_AST_2PM_RANK \tab character \cr
   PCT_UAST_2PM_RANK \tab character \cr
   PCT_AST_3PM_RANK \tab character \cr
   PCT_UAST_3PM_RANK \tab character \cr
   PCT_AST_FGM_RANK \tab character \cr
   PCT_UAST_FGM_RANK \tab character \cr
}
}
\description{
\strong{Get NBA Stats API Player Dashboard by Shooting Splits}

\strong{Get NBA Stats API Player Dashboard by Shooting Splits}
}
\details{
\href{https://www.nba.com/stats/player/2544/shooting}{Player Stats Dashboard by Shooting Splits}

\if{html}{\out{<div class="sourceCode r">}}\preformatted{ nba_playerdashboardbyshootingsplits(player_id = '2544', season = year_to_season(most_recent_nba_season() - 1))
}\if{html}{\out{</div>}}
}
\seealso{
Other NBA Player Functions: 
\code{\link{nba_infographicfanduelplayer}()},
\code{\link{nba_leaguedashplayerbiostats}()},
\code{\link{nba_leaguedashplayerclutch}()},
\code{\link{nba_leaguedashplayershotlocations}()},
\code{\link{nba_leaguedashplayerstats}()},
\code{\link{nba_leagueplayerondetails}()},
\code{\link{nba_leagueseasonmatchups}()},
\code{\link{nba_matchupsrollup}()},
\code{\link{nba_playerawards}()},
\code{\link{nba_playercareerbycollegerollup}()},
\code{\link{nba_playercareerbycollege}()},
\code{\link{nba_playercareerstats}()},
\code{\link{nba_playercompare}()},
\code{\link{nba_playerdashboardbyclutch}()},
\code{\link{nba_playerdashboardbygamesplits}()},
\code{\link{nba_playerdashboardbygeneralsplits}()},
\code{\link{nba_playerdashboardbylastngames}()},
\code{\link{nba_playerdashboardbyopponent}()},
\code{\link{nba_playerdashboardbyteamperformance}()},
\code{\link{nba_playerdashboardbyyearoveryear}()},
\code{\link{nba_playerdashptpass}()},
\code{\link{nba_playerdashptreb}()},
\code{\link{nba_playerdashptshotdefend}()},
\code{\link{nba_playerdashptshots}()},
\code{\link{nba_playerestimatedmetrics}()},
\code{\link{nba_playerfantasyprofilebargraph}()},
\code{\link{nba_playerfantasyprofile}()},
\code{\link{nba_playergamelogs}()},
\code{\link{nba_playergamelog}()},
\code{\link{nba_playergamestreakfinder}()},
\code{\link{nba_playerheadshot}()},
\code{\link{nba_playerindex}()},
\code{\link{nba_playernextngames}()},
\code{\link{nba_playerprofilev2}()},
\code{\link{nba_playervsplayer}()}

Other NBA Shooting Functions: 
\code{\link{nba_leaguedashplayershotlocations}()},
\code{\link{nba_leaguedashteamptshot}()},
\code{\link{nba_leaguedashteamshotlocations}()},
\code{\link{nba_shotchartdetail}()},
\code{\link{nba_shotchartleaguewide}()},
\code{\link{nba_shotchartlineupdetail}()},
\code{\link{nba_teamdashboardbyshootingsplits}()}
}
\author{
Saiem Gilani
}
\concept{NBA Player Functions}
\concept{NBA Shooting Functions}
