% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nba_stats_team.R
\name{nba_teams}
\alias{nba_teams}
\title{\strong{Get NBA Stats API Teams}}
\usage{
nba_teams(...)
}
\arguments{
\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Return a data frame with the following columns:\tabular{ll}{
   col_name \tab types \cr
   league_id \tab character \cr
   season_id \tab character \cr
   team_id \tab character \cr
   team_city \tab character \cr
   team_name \tab character \cr
   team_slug \tab character \cr
   conference \tab character \cr
   division \tab character \cr
   team_abbreviation \tab character \cr
   team_name_full \tab character \cr
   season \tab character \cr
   espn_team_id \tab integer \cr
   abbreviation \tab character \cr
   display_name \tab character \cr
   mascot \tab character \cr
   nickname \tab character \cr
   team \tab character \cr
   color \tab character \cr
   alternate_color \tab character \cr
   logo \tab character \cr
   logo_dark \tab character \cr
   logos_href_3 \tab character \cr
   logos_href_4 \tab character \cr
   nba_logo_svg \tab character \cr
}
}
\description{
\strong{Get NBA Stats API Teams}

\strong{Get NBA Stats API Teams}
}
\details{
\if{html}{\out{<div class="sourceCode r">}}\preformatted{ nba_teams()
}\if{html}{\out{</div>}}
}
\seealso{
Other NBA Team Functions: 
\code{\link{nba_leaguedashteamstats}()},
\code{\link{nba_teamdashboardbyclutch}()},
\code{\link{nba_teamdashboardbygamesplits}()},
\code{\link{nba_teamdashboardbygeneralsplits}()},
\code{\link{nba_teamdashboardbylastngames}()},
\code{\link{nba_teamdashboardbyopponent}()},
\code{\link{nba_teamdashboardbyshootingsplits}()},
\code{\link{nba_teamdashboardbyteamperformance}()},
\code{\link{nba_teamdashboardbyyearoveryear}()},
\code{\link{nba_teamdashlineups}()},
\code{\link{nba_teamdashptpass}()},
\code{\link{nba_teamdashptreb}()},
\code{\link{nba_teamdashptshots}()},
\code{\link{nba_teamdetails}()},
\code{\link{nba_teamestimatedmetrics}()},
\code{\link{nba_teamgamelogs}()},
\code{\link{nba_teamgamelog}()},
\code{\link{nba_teamgamestreakfinder}()},
\code{\link{nba_teamhistoricalleaders}()},
\code{\link{nba_teaminfocommon}()},
\code{\link{nba_teamplayerdashboard}()},
\code{\link{nba_teamplayeronoffdetails}()},
\code{\link{nba_teamplayeronoffsummary}()},
\code{\link{nba_teamvsplayer}()},
\code{\link{nba_teamyearbyyearstats}()}
}
\author{
Saiem Gilani
}
\concept{NBA Team Functions}
