% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nba_stats_team.R
\name{nba_teamyearbyyearstats}
\alias{nba_teamyearbyyearstats}
\title{\strong{Get NBA Stats API Team Year by Year Stats}}
\usage{
nba_teamyearbyyearstats(
  league_id = "00",
  per_mode = "Totals",
  season_type = "Regular Season",
  team_id = "1610612749",
  ...
)
}
\arguments{
\item{league_id}{League - default: '00'. Other options include '10': WNBA, '20': G-League}

\item{per_mode}{Per Mode}

\item{season_type}{Season Type - Regular Season, Playoffs, All-Star}

\item{team_id}{Team ID}

\item{...}{Additional arguments passed to an underlying function like httr.}
}
\value{
Return a named list of data frames: TeamStats

\strong{TeamStats}\tabular{ll}{
   col_name \tab types \cr
   TEAM_ID \tab character \cr
   TEAM_CITY \tab character \cr
   TEAM_NAME \tab character \cr
   YEAR \tab character \cr
   GP \tab character \cr
   WINS \tab character \cr
   LOSSES \tab character \cr
   WIN_PCT \tab character \cr
   CONF_RANK \tab character \cr
   DIV_RANK \tab character \cr
   PO_WINS \tab character \cr
   PO_LOSSES \tab character \cr
   CONF_COUNT \tab character \cr
   DIV_COUNT \tab character \cr
   NBA_FINALS_APPEARANCE \tab character \cr
   FGM \tab character \cr
   FGA \tab character \cr
   FG_PCT \tab character \cr
   FG3M \tab character \cr
   FG3A \tab character \cr
   FG3_PCT \tab character \cr
   FTM \tab character \cr
   FTA \tab character \cr
   FT_PCT \tab character \cr
   OREB \tab character \cr
   DREB \tab character \cr
   REB \tab character \cr
   AST \tab character \cr
   PF \tab character \cr
   STL \tab character \cr
   TOV \tab character \cr
   BLK \tab character \cr
   PTS \tab character \cr
   PTS_RANK \tab character \cr
}
}
\description{
\strong{Get NBA Stats API Team Year by Year Stats}

\strong{Get NBA Stats API Team Year by Year Stats}
}
\details{
\href{https://www.nba.com/stats/team/1610612756/seasons}{Team Year by Year Stats}

\if{html}{\out{<div class="sourceCode r">}}\preformatted{ nba_teamyearbyyearstats(team_id = '1610612749')
}\if{html}{\out{</div>}}
}
\seealso{
Other NBA Team Functions: 
\code{\link{nba_leaguedashteamstats}()},
\code{\link{nba_teamdashboardbyclutch}()},
\code{\link{nba_teamdashboardbygamesplits}()},
\code{\link{nba_teamdashboardbygeneralsplits}()},
\code{\link{nba_teamdashboardbylastngames}()},
\code{\link{nba_teamdashboardbyopponent}()},
\code{\link{nba_teamdashboardbyshootingsplits}()},
\code{\link{nba_teamdashboardbyteamperformance}()},
\code{\link{nba_teamdashboardbyyearoveryear}()},
\code{\link{nba_teamdashlineups}()},
\code{\link{nba_teamdashptpass}()},
\code{\link{nba_teamdashptreb}()},
\code{\link{nba_teamdashptshots}()},
\code{\link{nba_teamdetails}()},
\code{\link{nba_teamestimatedmetrics}()},
\code{\link{nba_teamgamelogs}()},
\code{\link{nba_teamgamelog}()},
\code{\link{nba_teamgamestreakfinder}()},
\code{\link{nba_teamhistoricalleaders}()},
\code{\link{nba_teaminfocommon}()},
\code{\link{nba_teamplayerdashboard}()},
\code{\link{nba_teamplayeronoffdetails}()},
\code{\link{nba_teamplayeronoffsummary}()},
\code{\link{nba_teams}()},
\code{\link{nba_teamvsplayer}()}
}
\author{
Saiem Gilani
}
\concept{NBA Team Functions}
